<?php

namespace Drupal\valentine\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a valentine entity.
 */
interface ValentineInterface extends ContentEntityInterface, EntityOwnerInterface, EntityPublishedInterface {

  /**
   * Gets the valentine creation timestamp.
   *
   * @return int
   *   Creation timestamp of the valentine.
   */
  public function created();

  /**
   * Returns whether or not the valentine is closed.
   *
   * @return bool
   *   TRUE if the valentine is closed, FALSE otherwise.
   */
  public function isClosed();

  /**
   * Gets letter content.
   *
   * @return string
   *   The letter content.
   */
  public function message();

  /**
   * Sets the valentine as opened.
   *
   * @return $this
   */
  public function setOpened();

  /**
   * Gets signature of a letter.
   *
   * @return string
   *   The signature of a letter.
   */
  public function signature();

}
