<?php

namespace Drupal\valentine\Plugin\EntityReferenceSelection;

use Drupal\user\Plugin\EntityReferenceSelection\UserSelection;

/**
 * Provides specific access control for the user entity type.
 *
 * @EntityReferenceSelection(
 *   id = "valentine_selection",
 *   label = @Translation("User selection"),
 *   entity_types = {"user"},
 *   group = "valentine_selection",
 *   weight = 2
 * )
 */
class ValentineSelection extends UserSelection {

  /**
   * {@inheritdoc}
   */
  protected function buildEntityQuery(
    $match = NULL,
    $match_operator = 'CONTAINS'
  ) {
    return parent::buildEntityQuery($match, $match_operator)
      ->condition('uid', $this->currentUser->id(), '<>');
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    $configuration = parent::defaultConfiguration();

    $configuration['include_anonymous'] = FALSE;

    return $configuration;
  }

}
